org.wildfly.swarm.config.ejb3

## Class Cache<T extends Cache<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.ejb3.Cache<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class Cache<T extends Cache<T>>
      extends HashMap

  A SFSB cache
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Cache(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `alias(String value)` The aliases by which this cache may also be referenced
    `List<String>` | `aliases()` The aliases by which this cache may also be referenced
    `T` | `aliases(List<String> value)` The aliases by which this cache may also be referenced
    `T` | `aliases(String... args)` The aliases by which this cache may also be referenced
    `String` | `getKey()`
    `String` | `passivationStore()` The passivation store used by this cache
    `T` | `passivationStore(String value)` The passivation store used by this cache
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### Cache

          public Cache(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### aliases

          public List<String> aliases()

      The aliases by which this cache may also be referenced

    - #### aliases

          public T aliases(List<String> value)

      The aliases by which this cache may also be referenced

    - #### alias

          public T alias(String value)

      The aliases by which this cache may also be referenced

    - #### aliases

          public T aliases(String... args)

      The aliases by which this cache may also be referenced

    - #### passivationStore

          public String passivationStore()

      The passivation store used by this cache

    - #### passivationStore

          public T passivationStore(String value)

      The passivation store used by this cache

Copyright © 2018 JBoss by Red Hat. All rights reserved.